> For the complete documentation index, see [llms.txt](https://pacifica.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/get-open-orders.md).

# Get open orders

```
GET /api/v1/orders
```

#### Query Parameters

<table><thead><tr><th width="176">Field</th><th width="98">Type</th><th width="95">Need</th><th width="189">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>"account"</code></td><td>string</td><td>required</td><td>Account address to filter orders</td><td><code>42trU9A5...</code></td></tr></tbody></table>

```
/api/v1/orders?account=42trU9A5...
```

#### Response

* Status 200: Successfully retrieved open orders

```json
{
  "success": true,
  "data": [
    {
      "order_id": 315979358,
      "client_order_id": "add9a4b5-c7f7-4124-b57f-86982d86d479",
      "symbol": "ASTER",
      "side": "ask",
      "price": "1.836",
      "initial_amount": "85.33",
      "filled_amount": "0",
      "cancelled_amount": "0",
      "stop_price": null,
      "order_type": "limit",
      "stop_parent_order_id": null,
      "reduce_only": false,
      "created_at": 1759224706737,
      "updated_at": 1759224706737
    }
  ],
  "error": null,
  "code": null,
  "last_order_id": 1557370337
}
```

<table><thead><tr><th width="208">Field</th><th width="186">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>"order_id"</code></td><td>integer</td><td>Order id assigned to order</td></tr><tr><td><code>"client_order_id"</code></td><td>UUID</td><td>CLOID of order if assigned by user</td></tr><tr><td><code>"symbol"</code></td><td>string</td><td>Trading pair symbol</td></tr><tr><td><code>"side"</code></td><td>string</td><td>Whether the order is a bid or an ask</td></tr><tr><td><code>"price"</code></td><td>decimal string</td><td>Price set by the order</td></tr><tr><td><code>"initial_amount"</code></td><td>decimal string</td><td>Amount (in token denomination) of the order placed</td></tr><tr><td><code>"filled_amount"</code></td><td>decimal string</td><td>Amount (in token denomination) of the order placed that has been filled</td></tr><tr><td><code>"cancelled_amount"</code></td><td>decimal string</td><td>Amount (in token denomination) of the order placed that has been cancelled</td></tr><tr><td><code>"stop_price"</code></td><td>decimal string</td><td>Stop price assigned upon order creation for subsequent position if order is filled if specified by user.</td></tr><tr><td><code>"order_type"</code></td><td>string</td><td><code>"limit"</code><br><code>"market"</code><br><code>"stop_limit"</code><br><code>"stop_market"</code><br><code>"take_profit_limit"</code><br><code>"stop_loss_limit"</code><br><code>"take_profit_market"</code><br><code>"stop_loss_market"</code></td></tr><tr><td><code>"stop_parent_order_id"</code></td><td>integer</td><td>Order id of stop order attached to original order</td></tr><tr><td><code>"reduce_only"</code></td><td>boolean</td><td>If the order is reduce only</td></tr><tr><td><code>"created_at"</code></td><td>integer</td><td>Timestamp in milliseconds when the order was created on Pacifica</td></tr><tr><td><code>"updated_at"</code></td><td>integer</td><td>Timestamp in milliseconds when the order was last modified (by a fill)</td></tr><tr><td><code>"last_order_id"</code></td><td>integer</td><td>Exchange-wide nonce. Used to reliably determine exchange event ordering. Sequential and not subject to clock drift.</td></tr></tbody></table>

* Status 400: Invalid request parameters
* Status 401: Unauthorized access
* Status 500: Internal server error

#### Code Example (Python)

```python
import requests

response = requests.get(
    "/api/v1/orders?account=42trU9A5...",
    headers={"Accept": "*/*"},
)

data = response.json()
```
